<?php
define('TABLE_DEVOPS_ACTION', '`' . $config->db->prefix . 'devops_action`');
define('TABLE_GITFOXSYNCLOG', '`' . $config->db->prefix . 'gitfoxsynclog`');
define('TABLE_ENV', '`' . $config->db->prefix . 'env`');

$config->fit = new stdclass();
$config->fit->version = '0.3.0';

$filter->repo->addbug  = new stdclass();
$filter->repo->addbug->get['file'] = 'reg::base64';

$config->routes['/gitfox/webhook'] = 'gitfoxWebhook';

$config->logonMethods[] = 'gitfox.create';
$config->logonMethods[] = 'gitfox.edit';
$config->logonMethods[] = 'gitfox.binduser';
$config->logonMethods[] = 'build.linkartifact';
$config->logonMethods[] = 'build.artifacttree';
$config->logonMethods[] = 'build.unlinkartifact';
$config->logonMethods[] = 'build.download';
$config->logonMethods[] = 'build.copycommand';
$config->logonMethods[] = 'release.download';
$config->logonMethods[] = 'repo.viewwebhookrequest';
$config->logonMethods[] = 'pullreq.commitlogs';
$config->logonMethods[] = 'pullreq.link';
$config->logonMethods[] = 'pullreq.diff';
$config->logonMethods[] = 'job.editpipeline';
$config->logonMethods[] = 'job.deletepipeline';
$config->logonMethods[] = 'deploy.artifact';

$config->objectTables['gitfox']  = TABLE_PIPELINE;
$config->objectTables['spug']    = TABLE_PIPELINE;
$config->objectTables['pullreq'] = TABLE_MR;
$config->objectTables['env']     = TABLE_ENV;
